id: gafgyt-generic-malware

info:
  name: Gafgyt Malware - Detect
  author: daffainfo
  severity: info
  reference: https://github.com/Yara-Rules/rules/blob/master/malware/MALW_Gafgyt.yar
  tags: malware,file
file:
  - extensions:
      - all
    matchers:
      - type: word
        part: raw
        words:
          - "/bin/busybox;echo -e 'gayfgt'"
          - '/proc/net/route'
          - 'admin'
          - 'root'
        condition: and
# digest: 4a0a0047304502210082c962e887f43701193e5030e3338a3709a8c9d73d8c1469e3cac2567e4ffe3d02206345c9efc66b4f987c24d3b7555a45e168b982501aef6fbdd1eb6b01e6c4c689:922c64590222798bb761d5b6d8e72950